#502 SingleSelection class

ooDialog.4.2.1
closed
none
1
2012-12-21
2012-12-04
hex
No

This is on windows 8 and oodialog 4.2.1
Using SingleSelection class, the width of the displayed window is based on the message length parameter, I suppose.
Preferable, the width of displayed window should be based on the greatest of the message and title parameter length and if specifying the length parameter the window should display a window with suitable width that shows all selections and the full message/title parameter length.
Maybe also center the message text in displayed window.

Related

Feature Requests: #502

Discussion

  • Mark Miesfeld

    Mark Miesfeld - 2012-12-04
    • labels: oodialog, SingleSelection, window size --> SingleSelection, window size, ooDialog
    • status: unread --> open
     
  • Mark Miesfeld

    Mark Miesfeld - 2012-12-05

    While I think the stated preferences are good, especially making the dialog wide enough to completely display the title, I'm worried that the changes can effect existing programs too much. Enough that some people may be unhappy with the changes to their existing programs.

    Because of this, rather than change the .SingleSelection class, I'm thinking of adding an extended .SingleSelection class that has the enhancements and leaving the .SingleSelection class as is. The new class would be .SingleSelectionEx.

    Thoughts?

     
  • hex

    hex - 2012-12-05

    Hm..One more class to keep track of.
    How about a global parameter like "compabilityMode" .true for old behaviour/style and .false for "new" behaviour/style. Can be used for other "new" stuff also.
    Or in the case of SingleSelection one more optional parameter at the end, meaning "fit window to text"
    But SingleSelectionEx is also OK

     
  • Mark Miesfeld

    Mark Miesfeld - 2012-12-05

    Regarding the "compatibility mode" that is similar to a RFE I opened: #441 Enhance ooDialog ApplicationManager to set one-based indexes

    The idea being that you could set 'something' through the .application manager to use one-based indexes in the ListView, which now uses zero-based indexes. By default the 'something' is off.

    The compatibility mode would have to be fine-grained though. You might want SingleSelectionEx on, but not one-based indexes for ListViews.

    So, for this case, it seems it might make it hard to remember what to do to get SingleSelectionEx.

    I have the same general feeling about adding another argument. If there are only 2 arguments, adding a third makes sense sometimes. But, in this case there are already 6 arguments and it is hard to remember what the order of the last 3 arguments is.

    Adding a 7th makes it harder still.

    Maybe we should open up this discussion on the User's list and see what others might think.

    I have SingleSelectionEx implemented and tested. I'll commit it this evening and you can try it out. I hate to start the doc until I see which way to go on this ... but changing the implementation to accept a 7th argument instead of using a new class is easy enough to change.

    --
    Mark Miesfeld

     
  • hex

    hex - 2012-12-05

    I agree with all your arguments, feel free to open a discussion on User list, I have no past history in using oorexx (only MVS/TSO rexx) so I may not immediatly see "problems" with old oorexx/oodialog usercode when changes is suggested in the current oorexx/ooDialog code.
    Backward compability is important, but sometimes this will "stop/complicate" the evolution and a change is neccessary ( maybe from "some release" changes has to be done in old code or do not upgrade to new release).

     
  • hex

    hex - 2012-12-05

    Should had said that your RFE is a good example of global "compability" mode
    And must not be fine grained, more take it or leave it, if you want 1 based indexes in listview you also will use the new style of other areas, if you want 0 based indexes fine but then .SingleSelection will use the "old" style, you can't have both.

     
  • Rick McGuire

    Rick McGuire - 2012-12-05

    How about making the length an optional argument and just use the message
    length if ommitted?

    Rick

    On Wed, Dec 5, 2012 at 1:24 PM, Mark Miesfeld miesfeld@users.sf.net wrote:

    Regarding the "compatibility mode" that is similar to a RFE I opened: #441
    Enhance ooDialog ApplicationManager to set one-based indexes

    The idea being that you could set 'something' through the .application
    manager to use one-based indexes in the ListView, which now uses zero-based
    indexes. By default the 'something' is off.

    The compatibility mode would have to be fine-grained though. You might
    want SingleSelectionEx on, but not one-based indexes for ListViews.

    So, for this case, it seems it might make it hard to remember what to do
    to get SingleSelectionEx.

    I have the same general feeling about adding another argument. If there
    are only 2 arguments, adding a third makes sense sometimes. But, in this
    case there are already 6 arguments and it is hard to remember what the
    order of the last 3 arguments is.

    Adding a 7th makes it harder still.

    Maybe we should open up this discussion on the User's list and see what
    others might think.

    I have SingleSelectionEx implemented and tested. I'll commit it this
    evening and you can try it out. I hate to start the doc until I see which
    way to go on this ... but changing the implementation to accept a 7th
    argument instead of using a new class is easy enough to change.

    --
    Mark Miesfeld


    [feature-requests:#502] SingleSelection class

    Status: open
    Labels: SingleSelection window size ooDialog
    Created: Tue Dec 04, 2012 08:01 PM UTC by hex
    Last Updated: Wed Dec 05, 2012 05:42 PM UTC
    Owner: nobody

    This is on windows 8 and oodialog 4.2.1
    Using SingleSelection class, the width of the displayed window is based on
    the message length parameter, I suppose.
    Preferable, the width of displayed window should be based on the greatest
    of the message and title parameter length and if specifying the length
    parameter the window should display a window with suitable width that shows
    all selections and the full message/title parameter length.
    Maybe also center the message text in displayed window.


    Sent from sourceforge.net because you indicated interest in <
    https://sourceforge.net/p/oorexx/feature-requests/502/>

    To unsubscribe from further messages, please visit <
    https://sourceforge.net/auth/prefs/>

     

    Related

    Feature Requests: #502

  • Mark Miesfeld

    Mark Miesfeld - 2012-12-21
    • status: open --> closed
    • assigned_to: Mark Miesfeld
     
  • Mark Miesfeld

    Mark Miesfeld - 2012-12-21

    I'm going to just close this. Most of the problems were fixed by fixing the bug that the message length parameter was being completely ignored: #1147 SingleSelection class

    The bug fix is in ooDialog 4.2.1.

    I originally caused some confusion because I had not noticed the bug part.

    If there are any other non-bug issues in the SingleSelection class in 4.2.1, then please open up a new RFE.

     


Anonymous

Cancel  Add attachments